module Adder #(
  parameter WIDTH = 20
)(
  input wire clk,
  input wire rst,
  input wire add,
  input wire [WIDTH-1:0] switch,
  output reg [WIDTH-1:0] number
);

  always @(posedge clk or negedge rst) begin
    if (!rst) begin
      number <= {WIDTH{1'b0}};
    end else if (add) begin
      number <= number + switch;
    end
  end

endmodule
