module GenerateNumber #(
	DIGITS = 2;
	WIDTH = 7
)(
  input [WIDTH-1:0] top,
  output [DIGITS-1:0][3:0] hex
);

  wire [WIDTH-1:0] binary;
  wire [DIGITS-1:0][3:0] bcd;

  BinToBCD #(
    .DIGITS(DIGITS),
    .WIDTH(WIDTH)
  ) bcd_converter(
    .bin_i(binary),
    .bcd_o(bcd)
  );

  BinTo7Seg bin_to_7seg(
    .num(binary),
    .segment_code(hex)
  );

  assign binary = top;

endmodule
